﻿
using System;
using Wisej.Web;
using System.Collections.Generic;

namespace WiseJComboBug
{

    public enum LanguageEnum
    { 
        Language1,
        Language2
    }

    public partial class Window1 : Form
    {
        private List<comboItem> _comboItems = new List<comboItem>();

        public Window1()
        {
            InitializeComponent();

            for (int i = 1; i < 10; i++)
            {
                comboItem item = new comboItem("Item" + i.ToString(), "XItem" + i.ToString());
                _comboItems.Add(item);

            }


            setCurrentLanguage();
        }


        private void setCurrentLanguage()
        {
            globals.CurrentLanguage = this.rbLang1.Checked ? LanguageEnum.Language1 : LanguageEnum.Language2;

            this.comboBox1.DataSource = null;
            this.comboBox1.ValueMember = "CurrentText";
            this.comboBox1.DisplayMember = "CurrentText";
            this.comboBox1.DataSource = _comboItems;

        }


        private void rbLang1_CheckedChanged(object sender, EventArgs e)
        {
            setCurrentLanguage();
        }

        private void rbLang2_CheckedChanged(object sender, EventArgs e)
        {
            setCurrentLanguage();
        }

    }


    public static class globals
    {
        public static LanguageEnum CurrentLanguage { get; set; }
    }


    public class comboItem
    {

        private string _lang1Text { get; set; }
        private string _lang2Text { get; set; }

        public comboItem(string sLang1Text, string sLang2Text)
        {
            _lang1Text = sLang1Text;
            _lang2Text = sLang2Text;
        }

        public string CurrentText
        {
            get
            {
                return globals.CurrentLanguage == LanguageEnum.Language1 ? _lang1Text : _lang2Text;
            }
        }

    }

}
